MOTU Make Leopard Leap

Updates posted for compatibility with latest Mac OS      23/11/07

MOTU Make Leopard Leap


Buying Choices
MOTU have posted a series of updaters on their website to ensure continued use of their products with the latest OSX Leopard.
MOTU's entire current line of virtual instrument products, including MachFive 2.0.1, Ethno Instrument 1.0.1, Symphonic Instrument 1.1.3 and MX4 2.1are already compatible with Leopard but the Digital Performer 5.13 updater is required for Leopard compatibility.
Likewise there are updaters available for the MOTU range of interfaces.
Pricing and Availability:
Available now for download More information:



More Videos

Friday Fun - SH-01A Meets Lyra-8 

Hooked up and jamming


Synthfest 2017: Korg UK Debut Reon Driftboxes Ahead of Distribution 

Aiming to bring them to the UK


Presentation: Townsend Labs Sphere L22 Mic Modeling System 

Emulate multiple mics, change proxmity and axis on the fly with UA Hardware


Presentation: Expressive E Touché 

A good look at the controller